﻿@using DevExpress.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Web.Util;
@using SPEX.Controllers.DeviceUserMaster;

@{
    List<string> plantLineCombo = (List<string>)ViewData[DeviceUserMasterController.PLANT_LINE_CODE_COMBO_BOX];
    List<string> packingCompanyCombo = (List<string>)ViewData[DeviceUserMasterController.PACKING_COMPANY_COMBO_BOX];
    List<string> transportCodeCombo = (List<string>)ViewData[DeviceUserMasterController.TRANSPORT_CODE_COMBO_BOX];
    List<string> positionCombo = (List<string>)ViewData[DeviceUserMasterController.POSITION_COMBO_BOX];
}
@Html.DevExpress().PopupControl(
    settings =>
    {
        settings.Name = "pcModalEditMode";

        settings.PopupElementID = "button";
        settings.Width = 800;
        settings.HeaderText = "EDIT User Device Master";
        settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        settings.Modal = true;

        settings.SetContent(() =>
        {
            ViewContext.Writer.Write("<fieldset>");
            ViewContext.Writer.Write("<table style=\"width: 100%\">");
            
                ViewContext.Writer.Write("<tr style=\"height:30px\">");
                    ViewContext.Writer.Write("<td style=\"width: 10%;\">");
                        @Html.DevExpress().Label(
                        Label =>
                        {
                            Label.Text = "*User Login";
                            Label.Width = 90;
                        }).GetHtml();
                    ViewContext.Writer.Write("</td>");
                    ViewContext.Writer.Write("<td style=\"width: 10%;\">");
                        Html.DevExpress().TextBox(
                                textBoxSettings =>
                                {
                                    textBoxSettings.Name = "editUserLogin";
                                    textBoxSettings.Properties.MaxLength = 20;
                                    settings.Width = 100;
                                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                    textBoxSettings.ReadOnly = true;
                                    textBoxSettings.ControlStyle.BackColor = System.Drawing.Color.LightGray;
                                }
                            )
                            .Render();
                    ViewContext.Writer.Write("</td>");
                    ViewContext.Writer.Write("<td style=\"width: 10%;\">");
                        @Html.DevExpress().Label(
                        Label =>
                        {
                            Label.Text = "*Plant Line Code";
                            Label.Width = 100;
                        }).GetHtml();
                    ViewContext.Writer.Write("</td>");
                    ViewContext.Writer.Write("<td style=\"width: 10%;\">");
                        ViewContext.Writer.Write("<select id=\"editPlantLineCode\">");
                        foreach (var item in plantLineCombo)
                        {
                            ViewContext.Writer.Write("<option value=\"" + item + "\">" + item + "</option>");
                        }
                        ViewContext.Writer.Write("</select>");
                    ViewContext.Writer.Write("</td>");
                ViewContext.Writer.Write("</tr>");
                ViewContext.Writer.Write("<tr style=\"height:30px\">");
                    ViewContext.Writer.Write("<td style=\"width: 10%;\">");
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "*Password";
                        Label.Width = 90;
                    }).GetHtml();
                    ViewContext.Writer.Write("</td>");
                    ViewContext.Writer.Write("<td style=\"width: 10%;\">");
                    Html.DevExpress().TextBox(
                            textBoxSettings =>
                            {
                                textBoxSettings.Name = "editPassword";
                                textBoxSettings.Properties.MaxLength = 20;
                                textBoxSettings.Properties.Password = true;
                                settings.Width = 100;
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            }
                        )
                        .Render();
                    ViewContext.Writer.Write("</td>");
                    ViewContext.Writer.Write("<td style=\"width: 10%;\">");
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Name = "L_Edit_Transp_Code";
                        Label.Text = "*Transp Code";
                        Label.Width = 90;
                    }).GetHtml();
                    ViewContext.Writer.Write("</td>");
                    ViewContext.Writer.Write("<td style=\"width: 10%;\">");
                        ViewContext.Writer.Write("<select id=\"editTranspCode\">");
                        foreach (var item in transportCodeCombo)
                        {
                            ViewContext.Writer.Write("<option value=\"" + item + "\">" + item + "</option>");
                        }
                        ViewContext.Writer.Write("</select>");
                    ViewContext.Writer.Write("</td>");
                ViewContext.Writer.Write("</tr>");
                ViewContext.Writer.Write("<tr style=\"height:30px\">");
                    ViewContext.Writer.Write("<td style=\"width: 10%;\">");
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "*User Name";
                        Label.Width = 90;
                    }).GetHtml();
                    ViewContext.Writer.Write("</td>");
                    ViewContext.Writer.Write("<td style=\"width: 10%;\">");
                    Html.DevExpress().TextBox(
                            textBoxSettings =>
                            {
                                textBoxSettings.Name = "editUserName";
                                textBoxSettings.Properties.MaxLength = 20;
                                settings.Width = 100;
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            }
                        )
                        .Render();
                    ViewContext.Writer.Write("</td>");
                    ViewContext.Writer.Write("<td style=\"width: 10%;\">");
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "*Position";
                        Label.Width = 90;
                    }).GetHtml();
                    ViewContext.Writer.Write("</td>");
                    ViewContext.Writer.Write("<td style=\"width: 10%;\">");
                        ViewContext.Writer.Write("<select id=\"editPosition\">");
                        foreach (var item in positionCombo)
                        {
                            ViewContext.Writer.Write("<option value=\"" + item + "\">" + item + "</option>");
                        }
                        ViewContext.Writer.Write("</select>");
                    ViewContext.Writer.Write("</td>");
                ViewContext.Writer.Write("</tr>");
                ViewContext.Writer.Write("<tr style=\"height:30px\">");
                ViewContext.Writer.Write("<td style=\"width: 10%;\">");
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "*Packing Company";
                        Label.Width = 120;
                    }).GetHtml();
                ViewContext.Writer.Write("</td>");
                ViewContext.Writer.Write("<td style=\"width: 10%;\">");
                        ViewContext.Writer.Write("<select id=\"editPackingCompany\">");
                        foreach (var item in packingCompanyCombo)
                        {
                            ViewContext.Writer.Write("<option value=\"" + item + "\">" + item + "</option>");
                        }
                        ViewContext.Writer.Write("</select>");
                    ViewContext.Writer.Write("</td>");
                    ViewContext.Writer.Write("<td style=\"width: 10%;\">");
                        @Html.DevExpress().Label(
                        Label =>
                        {
                            Label.Text = "Device NW Ident";
                            Label.Width = 120;
                        }).GetHtml();
                    ViewContext.Writer.Write("</td>");
                    ViewContext.Writer.Write("<td style=\"width: 10%;\">");
                        Html.DevExpress().TextBox(
                                textBoxSettings =>
                                {
                                    textBoxSettings.Name = "editDeviceNWIdent";
                                    textBoxSettings.Properties.MaxLength = 20;
                                    settings.Width = 100;
                                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                    textBoxSettings.ReadOnly = true;
                                    textBoxSettings.ControlStyle.BackColor = System.Drawing.Color.LightGray;
                                }
                            )
                            .Render();
                    ViewContext.Writer.Write("</td>");
                ViewContext.Writer.Write("</tr>");

                ViewContext.Writer.Write("<tr style=\"height:30px\">");
                    ViewContext.Writer.Write("<td style=\"width: 10%;\">");
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Company Plant Code";
                        Label.Width = 130;
                    }).GetHtml();
                    ViewContext.Writer.Write("</td>");
                    ViewContext.Writer.Write("<td style=\"width: 10%;\">");
                        Html.DevExpress().TextBox(
                                textBoxSettings =>
                                {
                                    textBoxSettings.Name = "editCompanyPlantCode";
                                    textBoxSettings.Properties.MaxLength = 4;
                                    settings.Width = 100;
                                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                }
                            )
                            .Render();
                    ViewContext.Writer.Write("</td>");
                    ViewContext.Writer.Write("<td style=\"width: 10%;\" colspan=\"2\" align=\"center\">");
                        Html.DevExpress().Button(
                            buttonSettings =>
                            {
                                buttonSettings.Name = "btnEditSave";
                                buttonSettings.ControlStyle.CssClass = "button";
                                buttonSettings.Width = 80;
                                buttonSettings.Text = "SAVE";
                                buttonSettings.Style.Add("display", "inline-table");
                                buttonSettings.UseSubmitBehavior = true;
                                buttonSettings.ClientSideEvents.Click = "OnSaveEdit";
                            }
                        )
                        .Render();
                        Html.DevExpress().Button(
                            buttonSettings =>
                            {
                                buttonSettings.Name = "btnEditCancel";
                                buttonSettings.ControlStyle.CssClass = "button";
                                buttonSettings.Width = 80;
                                buttonSettings.Text = "CANCEL";
                                buttonSettings.Style.Add("display", "inline-table");
                                buttonSettings.UseSubmitBehavior = true;
                                buttonSettings.ClientSideEvents.Click = "onCancelEdit";
                            }
                        )
                        .Render();
                    ViewContext.Writer.Write("</td>");
                ViewContext.Writer.Write("</tr>");
            
            ViewContext.Writer.Write("</table>");            
            ViewContext.Writer.Write("</fieldset>");
        });
    }).GetHtml()